%global srcname micloud
%global srcversion v_%{version}

# Tests require credentials and network access
%bcond_with check

Name:           python-%{srcname}
Version:        0.6
Release:        %autorelease
Summary:        Xiaomi cloud connect library

License:        MIT
URL:            https://github.com/squachen/micloud
# PyPI doesn't include tests and docs
Source:         %{url}/archive/%{srcversion}/%{srcname}-%{srcversion}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  sed
%if %{with check}
BuildRequires:  python3-dotenv
BuildRequires:  python3-pytest
%endif

%global _description %{expand:
This is package provides a simple implementation for logging in to your Xiaomi
cloud account and fetch device information.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{srcversion}

# Fix broken dependency
sed -i 's/pycryptodome/pycryptodomex/' setup.py
sed -i 's/from Crypto/from Cryptodome/' micloud/miutils.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%if %{with check}
%pytest
%else
%pyproject_check_import
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md docs
%{_bindir}/%{srcname}

%changelog
%autochangelog
